Debian Bug report logs - #684854
scim-chewing: FTBFS: scim_color_button.cpp:71:52: error: variable or field 'scim_color_button_destroy' declared void

version graph

Package: src:scim-chewing; Maintainer for src:scim-chewing is Andrew Lee (李健秋) <ajqlee@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 14 Aug 2012 07:44:34 UTC

Severity: serious

Tags: patch, sid, wheezy

Merged with 676009

Found in version scim-chewing/0.3.4-1.1

Fixed in versions scim-chewing/0.3.4-2, scim-chewing/0.3.4-1.2

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andrew Lee (李健秋) <ajqlee@debian.org>:
Bug#684854; Package src:scim-chewing. (Tue, 14 Aug 2012 07:44:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Andrew Lee (李健秋) <ajqlee@debian.org>. (Tue, 14 Aug 2012 07:44:37 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: scim-chewing: FTBFS: scim_color_button.cpp:71:52: error: variable or field 'scim_color_button_destroy' declared void
Date: Tue, 14 Aug 2012 09:10:57 +0200
Source: scim-chewing
Version: 0.3.4-1.1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120814 qa-ftbfs
Justification: FTBFS in wheezy on amd64

Hi,

During a rebuild of all packages in *wheezy*, your package failed to
build on amd64.

Relevant part:
> /bin/bash ../libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I.. -I.. -I.. -I../src -DSCIM_ICONDIR=\"/usr/share/scim/icons\" -DSCIM_CHEWING_LOCALEDIR=\"/usr/share/locale\" -DSCIM_CHEWING_ICON_FILE=\"/usr/share/scim/icons/scim-chewing.png\"   -pthread -I/usr/include/scim-1.0 -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12   -I/usr/include/scim-1.0    -g -O2 -c -o chewing_imengine_setup_la-scim_color_button.lo `test -f 'scim_color_button.cpp' || echo './'`scim_color_button.cpp
> libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I.. -I.. -I.. -I../src -DSCIM_ICONDIR=\"/usr/share/scim/icons\" -DSCIM_CHEWING_LOCALEDIR=\"/usr/share/locale\" -DSCIM_CHEWING_ICON_FILE=\"/usr/share/scim/icons/scim-chewing.png\" -pthread -I/usr/include/scim-1.0 -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/scim-1.0 -g -O2 -c scim_color_button.cpp  -fPIC -DPIC -o .libs/chewing_imengine_setup_la-scim_color_button.o
> scim_color_button.cpp:71:52: error: variable or field 'scim_color_button_destroy' declared void
> scim_color_button.cpp:71:52: error: 'GtkObject' was not declared in this scope
> scim_color_button.cpp:71:68: error: 'object' was not declared in this scope
> scim_color_button.cpp: In function 'void scim_color_button_class_init(ScimChewingColorButtonClass*)':
> scim_color_button.cpp:113:5: error: 'GtkObjectClass' was not declared in this scope
> scim_color_button.cpp:113:21: error: 'gtk_object_class' was not declared in this scope
> scim_color_button.cpp:113:63: error: 'GTK_OBJECT_CLASS' was not declared in this scope
> scim_color_button.cpp:127:42: error: 'scim_color_button_destroy' was not declared in this scope
> scim_color_button.cpp:129:19: error: 'GtkWidgetClass' has no member named 'expose_event'
> scim_color_button.cpp: At global scope:
> scim_color_button.cpp:148:28: error: variable or field 'scim_color_button_destroy' declared void
> scim_color_button.cpp:148:28: error: 'GtkObject' was not declared in this scope
> scim_color_button.cpp:148:39: error: 'object' was not declared in this scope
> make[3]: *** [chewing_imengine_setup_la-scim_color_button.lo] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/08/14/scim-chewing_0.3.4-1.1_wheezy.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.



Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Lee (李健秋) <ajqlee@debian.org>:
Bug#684854; Package src:scim-chewing. (Sat, 13 Oct 2012 23:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Andrew Lee (李健秋) <ajqlee@debian.org>. (Sat, 13 Oct 2012 23:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 684854@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 684854@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Needs a t-p-u
Date: Sun, 14 Oct 2012 00:38:35 +0100
[Message part 1 (text/plain, inline)]
forcemerge 676009 684854
thanks

The original uploaded for #676009 has since been replaced by unrelated
packaging changes, so I'm proposing to upload an NMU to
testing-proposed-updates with the attached debdiff. The gtk patch from
0.3.4-2 in unstable is the only change for the t-p-u and the package
now builds cleanly against build-dependencies from wheezy.

Changes included: 
 scim-chewing (0.3.4-2) unstable; urgency=low
 .
   * Add gtk patch. Thanks Tz-Huan Huang <tzhuan@gmail.com> from
upstream. (Closes: #676009)

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[684854.diff (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Marked Bug as done Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 23:42:05 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 13 Oct 2012 23:42:05 GMT) Full text and rfc822 format available.

Marked as fixed in versions scim-chewing/0.3.4-2. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 23:42:05 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 23:42:06 GMT) Full text and rfc822 format available.

Merged 676009 684854 Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 23:42:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 684854: 690411 Request was from Margarita Manterola <marga@debian.org> to control@bugs.debian.org. (Sun, 25 Nov 2012 13:57:06 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sat, 26 Jan 2013 14:51:07 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 26 Jan 2013 14:51:07 GMT) Full text and rfc822 format available.

Message #27 received at 684854-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 684854-close@bugs.debian.org
Subject: Bug#684854: fixed in scim-chewing 0.3.4-1.2
Date: Sat, 26 Jan 2013 14:48:44 +0000
Source: scim-chewing
Source-Version: 0.3.4-1.2

We believe that the bug you reported is fixed in the latest version of
scim-chewing, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 684854@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated scim-chewing package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 26 Jan 2013 14:16:35 +0000
Source: scim-chewing
Binary: scim-chewing
Architecture: source i386
Version: 0.3.4-1.2
Distribution: testing-proposed-updates
Urgency: low
Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 scim-chewing - Chewing IM engine module for SCIM
Closes: 684854
Changes: 
 scim-chewing (0.3.4-1.2) testing-proposed-updates; urgency=low
 .
   * Non-maintainer upload.
   * Apply gtk.patch from unstable upload without extraneous
     changes. Fixes FTBFS: scim_color_button.cpp
     (Closes: #684854). Thanks Tz-Huan Huang <tzhuan@gmail.com>
     from upstream.
Checksums-Sha1: 
 d5a7df36d3e6273be8cb343a48895301bbf7da9c 2096 scim-chewing_0.3.4-1.2.dsc
 5ccdf5f9f157fe5ee493f3150efb8f358fb17893 10790 scim-chewing_0.3.4-1.2.debian.tar.gz
 8897d6f3559a37671455ab416a393885e5ef272e 65268 scim-chewing_0.3.4-1.2_i386.deb
Checksums-Sha256: 
 b4349ce4d7bc94d2f57065f7b05776dc285e0deb6e59022bb61f8a5a7e89eabe 2096 scim-chewing_0.3.4-1.2.dsc
 666cf9e4b4484ba0283c17d3a97186af8f2169f09b2e6861f7803d49ceb39b12 10790 scim-chewing_0.3.4-1.2.debian.tar.gz
 a1d4db4767e85ed1ff29e1c031122525f4a685f4a687032582048d86590a9ba2 65268 scim-chewing_0.3.4-1.2_i386.deb
Files: 
 757aa7e0ceb08ed1ef10e54fa298e608 2096 utils optional scim-chewing_0.3.4-1.2.dsc
 3b668a98b374fd30f74cb63d17819e7a 10790 utils optional scim-chewing_0.3.4-1.2.debian.tar.gz
 15d42724074fc57bce06289ea01f6873 65268 utils optional scim-chewing_0.3.4-1.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRA+aFAAoJEPFn5DyBQ7aCpcwP+gNEipI2RdgwnUD/ag8u5R6N
5S0Uef2CPVtCp/7PYVu1XvbKm5uM5k9qEDzr1soigQFSopJMdvHrNR2nUZ/+kJsd
ZmbomYEkVhY4vFy4o/nq9cIzcefykVxrfExqqe62/1mg1KlrTHw2f2ASN0KP7HXS
ff5B9ZTLKofsRuM05TOye/aaD5ISz3JmRVsAfAq74YUn7J7KD+va7RAzyAA0003n
RJ7wST0eXwdkyvQ3TSv9/nc9U7y68qJZ/6qbEiURxCMHtLj9Nt40mvXrg3gWAOd9
PkxgH4KIUghgnf98DdbcGbb0Dy1tXucdAZ0Sc5+622fQF5hE6qVN3wjrj5wna/W9
X4hTrkIswTFJq01gFzY6j5bj2C5WPJXuz3gX9d5zVaYaW5r1HPHDmucGcqiLQ8+j
QfDHbz3nPsLA/kh1HUV/z7CbD+xilusyWXCcW8QJDuwD10WLYrTuweKjBzenWPdN
VWSFlozGktyngZVjepSprkJIu3h6cZjDt9UzqqWWdx/FLhVN2iAA2HEp6Ljox9iU
7ipOq+Tuu2gdDuMGdMpaDyZOModdmhfed461SmpgYsWQ231TPx6ejhveY+I9JgkF
pQVmV7m+jkzDmggXA8eHIJgF65soxSZYhhj42mZp+xs7t/v8GwO0+zBgXjYd4ME3
oMwRRbUZsRhFG5BZFVKm
=goTn
-----END PGP SIGNATURE-----




Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sat, 26 Jan 2013 14:51:07 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 26 Jan 2013 14:51:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Feb 2013 07:25:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:06:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.